Create a key group with its members (tenant:dms:admin)
POST /api/dms/v1/key-groups
Module: DMS · operationId: createKeyGroup · Tag: Encryption · Auth: access token (Authorization: Bearer <accessToken>)
The group private key is generated in the browser and wrapped for every member (1 to 100); every member must have registered a key. Names are unique per tenant (409).
Request body
application/json (required)
members(array of KeyGroupMemberInput, required): Initial members with their share of the group keyephemeralPublicKey(string, required): Base64 SPKI P-256 ephemeral public key of the wrapuserId(string, required): User id (e-mail address); must have registered a keywrappedGroupPrivateKey(string, required): The group private key wrapped for the member (base64)
name(string, required): Name, unique per tenantpublicKey(string, required): Base64 SPKI P-256 public key of the groupalgorithm(string): Key agreement algorithm (default"ECDH-P256")description(string): Description
Example:
{
"algorithm": "ECDH-P256",
"description": "Personalakten und Gehaltsunterlagen",
"members": [
{
"ephemeralPublicKey": "MFkwEwYHKoZIzj0CAQYIKoZIzj0DAQcDQgAEexampleEphemeralKeyThomas",
"userId": "thomas.pfeiffer@muster-it.example",
"wrappedGroupPrivateKey": "ZXhhbXBsZS13cmFwcGVkLWdyb3VwLWtleS1mb3ItdGhvbWFz"
}
],
"name": "Personalabteilung",
"publicKey": "MFkwEwYHKoZIzj0CAQYIKoZIzj0DAQcDQgAEexamplePublicKeyOfTheGroupP256xyz"
}
Responses
- 201 The key group (
application/json) - 400 Error (
application/json) - 409 Error (
application/json)
Fields of the 201 answer:
algorithm(string): Key agreement algorithmcreatedAt(string (date-time)): Creation timecreatedBy(string): Who created the groupdescription(string): Descriptionid(string (uuid)): Key group idmembers(array of object): Members of the groupaddedBy(string): Who added the membercreatedAt(string (date-time)): Time the member was addeduserId(string): User id (e-mail address)
name(string): Name, unique per tenantpublicKey(string): Base64 SPKI public key of the group
Example 201 answer:
{
"algorithm": "ECDH-P256",
"createdAt": "2026-03-10T14:20:00Z",
"createdBy": "thomas.pfeiffer@muster-it.example",
"description": "Personalakten und Gehaltsunterlagen",
"id": "5d7f9b1d-3e5a-4c7b-9d1f-7b9d1f3a5c7e",
"members": [
{
"addedBy": "thomas.pfeiffer@muster-it.example",
"createdAt": "2026-03-10T14:20:00Z",
"userId": "thomas.pfeiffer@muster-it.example"
},
{
"addedBy": "thomas.pfeiffer@muster-it.example",
"createdAt": "2026-03-10T14:22:31Z",
"userId": "christina.adler@muster-it.example"
}
],
"name": "Personalabteilung",
"publicKey": "MFkwEwYHKoZIzj0CAQYIKoZIzj0DAQcDQgAEexamplePublicKeyOfTheGroupP256xyz"
}
Example request
curl -X POST 'https://api.mbcom.cloud/api/dms/v1/key-groups' \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H 'Content-Type: application/json' \
--data '{"algorithm":"ECDH-P256","description":"Personalakten und Gehaltsunterlagen","members":[{"ephemeralPublicKey":"MFkwEwYHKoZIzj0CAQYIKoZIzj0DAQcDQgAEexampleEphemeralKeyThomas","userId":"thomas.pfeiffer@muster-it.example","wrappedGroupPrivateKey":"ZXhhbXBsZS13cmFwcGVkLWdyb3VwLWtleS1mb3ItdGhvbWFz"}],"name":"Personalabteilung","publicKey":"MFkwEwYHKoZIzj0CAQYIKoZIzj0DAQcDQgAEexamplePublicKeyOfTheGroupP256xyz"}'